Subject: [hrpc] Fwd: New Version Notification for draft-iab-for-the-users-01.txt

From: Mark Nottingham <[email-masked]>
Date: Sat, 7 Dec 2019 10:29:15 +1100

The IAB wanted to give this draft wider exposure to folks than just those on architecture-discuss; comment / feedback welcome (here, or on the draft issues list at <https://github.com/intarchboard/for-the-users/issues <https://github.com/intarchboard/for-the-users/issues>>).

Apologies if you've seen this before.

Cheers,

> Begin forwarded message:
> 
> From: [email-masked] <mailto:[email-masked]>
> Subject: New Version Notification for draft-iab-for-the-users-01.txt
> Date: 18 November 2019 at 11:43:38 am AEDT
> To: "Mark Nottingham" <[email-masked] <mailto:[email-masked]>>
> 
> 
> A new version of I-D, draft-iab-for-the-users-01.txt
> has been successfully submitted by Mark Nottingham and posted to the
> IETF repository.
> 
> Name:		draft-iab-for-the-users
> Revision:	01
> Title:		The Internet is for End Users
> Document date:	2019-11-18
> Group:		iab
> Pages:		11
> URL:            https://www.ietf.org/internet-drafts/draft-iab-for-the-users-01.txt <https://www.ietf.org/internet-drafts/draft-iab-for-the-users-01.txt>
> Status:         https://datatracker.ietf.org/doc/draft-iab-for-the-users/ <https://datatracker.ietf.org/doc/draft-iab-for-the-users/>
> Htmlized:       https://tools.ietf.org/html/draft-iab-for-the-users-01 <https://tools.ietf.org/html/draft-iab-for-the-users-01>
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-iab-for-the-users <https://datatracker.ietf.org/doc/html/draft-iab-for-the-users>
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-iab-for-the-users-01 <https://www.ietf.org/rfcdiff?url2=draft-iab-for-the-users-01>
> 
> Abstract:
>   This document explains why the IAB believes the IETF should consider
>   end users as its highest priority concern, and how that can be done.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> 
> The IETF Secretariat
> 

--
Mark Nottingham   https://www.mnot.net/ <https://www.mnot.net/>

---

From: Niels ten Oever <[email-masked]>
Date: Mon, 9 Dec 2019 13:47:15 +0100

Thanks for this Mark, I have been following this draft for quite a while and am really happy with both the documents and its progress. 

Some notes:

1.
Upon re-reading I found the apostrophe in this sentence a bit confusing:

[quote]
It has created wealth for some individuals and companies while destroying others'
[/quote]

Is the apostrophe there to indicate this is "others' wealth" ? Am not an English native speaker, but I was slightly confused about that. 

2.
I do like the gist of 4.1, but it could potentially be enhanced with a para that makes it clear that the IETF also doesn't always foresee the outcomes of their work. In this para it seems like only end-users don't understand what we're doing:

[quote]
   The IETF community faces significant hurdles in doing so.  Our work
   is specialised and often esoteric, and standard processes often occur
   on very long timescales.  Affected parties are rarely technical
   experts, and their experience of the Internet is often based upon
   incomplete (and sometimes inaccurate) models.  Often, even when we
   try to engage a broader audience, their participation is minimal -
   until a change affects someone in a way they don't like.  Surprising
   the Internet community is rarely a good outcome.
[/quote]

but I think that often we also don't really know what the outcome is. Engaging other people in the review of our documents also helps with that.

3. 
In 4.1 the text develops from 'Engaging the Internet Community' to 'stakeholder community', and also implies 'affected communities'. How are these communities differentiated and identified?

4. 
Suggestion in 4.3: s/access characteristics/means of Internet access

(especially since you use 'different characteristics' later in the same sentence).

I hope this helps!

Best,

Niels

On 12/7/19 12:29 AM, Mark Nottingham wrote:
> The IAB wanted to give this draft wider exposure to folks than just those on architecture-discuss; comment / feedback welcome (here, or on the draft issues list at <https://github.com/intarchboard/for-the-users/issues>).
> 
>> *From: [email-masked] <mailto:[email-masked]>
>> *Subject: **New Version Notification for draft-iab-for-the-users-01.txt*
>> *Date: *18 November 2019 at 11:43:38 am AEDT
>> *To: *"Mark Nottingham" <[email-masked] <mailto:[email-masked]>>
>>
>>
>> Name:draft-iab-for-the-users
>> Revision:01
>> Title:The Internet is for End Users
>> Document date:2019-11-18
>> Group:iab
>> Pages:11
>> URL:            https://www.ietf.org/internet-drafts/draft-iab-for-the-users-01..txt <https://www.ietf.org/internet-drafts/draft-iab-for-the-users-01.txt>
>> Status:         https://datatracker.ietf.org/doc/draft-iab-for-the-users/
>> Htmlized:       https://tools.ietf.org/html/draft-iab-for-the-users-01
>> Htmlized:       https://datatracker.ietf.org/doc/html/draft-iab-for-the-users
>> Diff:           https://www.ietf.org/rfcdiff?url2=draft-iab-for-the-users-01
>>
>> Abstract:
> Mark Nottingham   https://www.mnot.net/
> 
> 
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc
> 

-- 
Niels ten Oever
Researcher and PhD Candidate
DATACTIVE Research Group
University of Amsterdam

PGP fingerprint	   2458 0B70 5C4A FD8A 9488  
                   643A 0ED8 3F3A 468A C8B3

---

From: Vittorio Bertola <[email-masked]>
Date: Tue, 10 Dec 2019 16:18:26 +0100 (CET)

Il 07/12/2019 00:29 Mark Nottingham <[email-masked]> ha scritto:

The IAB wanted to give this draft wider exposure to folks than just those on architecture-discuss; comment / feedback welcome (here, or on the draft issues list at <
https://github.com/intarchboard/for-the-users/issues>).

While I recognize progress in -01, I still have fundamental problems with this document.

Version -00 explicitly included commercial companies operating at the edge of the net as "end users". Version -01 does not mention them any more, but also does not restrict clearly the term "end users" to individuals, i.e. physical persons - actually, section 2 at a certain point mentions "individual end users", which could imply that whenever "end users" is used without the qualifier, it has a broader meaning. I do not know how to interpret the new text, but as I already commented on -00, the IETF stating that it will prioritize the interests of commercial companies operating at the edge over those of commercial companies operating within the network is highly inappropriate.

In section 4.2, the claim that "Web browsers’ interests are better aligned with those of their users" is unsubstantiated. Actually, one would think that such a concentrated market is exactly the one where users have scarce choice and low bargaining power with the companies that supply it. It is quite easy for the handful of browser makers to agree on something which goes against user interests and just push it to the market, and even claim that it actually goes in the interest of the user. The lack of cultural and geographical diversity among browser makers also does not make them well equipped to represent the global users of the Internet.

Similarly, I find the discussion on representativeness in section 4.1 quite baffling. Basically, it says: ok, a government elected by 60 million citizens shows up and says something, but we think that what they say is not really representative of those people. On the other hand, we know this NGO of ten people and wow, they are really representative! So "they are in many ways the most representative advocates for end user concerns; they should be considered a primary channel for engaging the broader Internet community". What's the logic behind that? It looks like the IETF is cherrypicking the stakeholders it wants to listen to.

Also, coming from 15-year discussions on multistakeholderism, the principle of multistakeholderism is that all stakeholders have to be included, but also that each of them keeps their distinct role. Actually, representing the people and balancing all the contrasting interests is exactly the existential purpose of Parliaments and governments; one can argue how well they do this, but no better system than democracy and elections has been found, and it does not look like the document proposes any better way of finding out what the "end user interest" is. Saying that, instead of governments, we will pick someone else to represent users because we like them better, is not a better way.

More generally, I think that the IETF should stop writing documents about policies and values for future developments of the Internet. These are non-technical decisions that have to be shared with all other stakeholders, possibly through discussions in other fora, and the IETF does not have a mandate to settle this on its own.

--

Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked]
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Ted Lemon <[email-masked]>
Date: Tue, 10 Dec 2019 08:05:50 -0800

> Similarly, I find the discussion on representativeness in section 4.1 quite baffling. Basically, it says: ok, a government elected by 60 million citizens shows up and says something, but we think t…

It’s a pretty well-understood phenomenon that current democratic technology doesn’t produce governments that represent the will of the people unless the people exert a really extreme amount of effort to accomplish that (that is to say, not usually).  There are of course exceptions.   I think your NGO-of-ten-people example is amusing and appropriate, but it’s quite clearly the case that many governments, some of them democratically elected, don’t really represent the will of the people.   Simply asserting that governments must represent the will of the people, and that NGOs must not, because of the very real representation issue you’ve highlighted here is therefore misleading.

In fact, I think the principle should be more that people can be trusted to at least try to do what they want, and that if what they want to do isn’t clearly harmful, the internet should by default not try to prevent them from doing it.

---

From: Vittorio Bertola <[email-masked]>
Date: Tue, 10 Dec 2019 17:41:03 +0100 (CET)

Il 10/12/2019 17:05 Ted Lemon <[email-masked]> ha scritto:

Your objection is entirely reasonable, and indeed is one of the reasons why many in the Internet governance community, including myself, have been arguing in favour of the multistakeholder model, as a way to increase representation beyond what governments can provide.

However, the problem is that if you want to adopt a different system to ascertain end user will, it should clearly be more representative and democratic than the one based on governments. 19 years ago, we tried global online elections - it only worked so and so, though I think that there would have been ample room for improvement and the experiment was aborted too hastily. We later tried with an indirect system based on a network of NGOs, which is still in use at ICANN, and it also works so and so. However, if I had to say how representative of the "end users" that is, I'd say that the ICANN At Large system produces opinions discussed among 20 to 200 people, as compared with several billions of Internet users - I don't think that system is more representative than governments, though it is definitely more representative than consensus on a handful of English-only, engineer-populated mailing lists.

Also, it's easy to say "governments are not really representative so we dispossess them of their role". But who judges whether a government is representative enough or not? It'd better be someone more representative than them, and I don't think the IETF has that prerogative.

Again, there is a problem here: who judges whether something a user wants to do is clearly harmful? The Internet is full of people that do harmful things, sometimes extremely harmful ones, not just to the network but to other people. Either you take the line that all users do is acceptable by principle, so no rules and no law enforcement should ever apply to Internet communications, or you have the problem of who gets to decide and enforce those rules. I still haven't seen a convincing argument that the IETF or the technical community are more legitimate for that than elected governments with all their shortcomings.

In any case, this is an interesting discussion to have, but in my opinion it also shows how simplistic and unsustainable certain statements in the document are; the IETF needs a lot more thinking and working on issues of inclusiveness, diversity, representativeness and decision making processes, before being able to claim to do anything "for the users".

--

---

From: Ted Lemon <[email-masked]>
Date: Tue, 10 Dec 2019 09:12:54 -0800

On Dec 10, 2019, at 8:41 AM, Vittorio Bertola <[email-masked]> wrote:
> However, the problem is that if you want to adopt a different system to ascertain end user will, it should clearly be more representative and democratic than the one based on governments.

No, this is a really fundamental point of disagreement.   You are arguing for “everything that is not explicitly permitted is forbidden,” perhaps without realizing it.   I am arguing for “everything not explicitly forbidden is permitted.”

The idea that whether I should be allowed to do something should be subject to a majority vote is the problem.   Unless the majority can agree that what I want to do is harmful to the public, I should not be in any way constrained from doing it.

If you think about it this way, then the problems you have raised go away.   Since it’s not the government’s default role to give me permission to do what I want to do, there is no need for the government to be involved at all.  Only when the government determines that I am doing something that should be stopped, does the government need to intervene.   This can still cause great harm (see the “think of the children” attack surface), but it’s at least relatively benign, and doesn’t subject every potential innovation to majority approval.

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 10 Dec 2019 17:29:09 +0000

I have problems as well. https://github.com/intarchboard/for-the-users/issues/1

It is unfortunate that this email was sent separately to many mailing lists; discussion will be fragmented. :(

---

From: Paul Wouters <[email-masked]>
Date: Tue, 10 Dec 2019 14:51:31 -0500 (EST)

> I have problems as well. https://github.com/intarchboard/for-the-users/issues/1

I agree that paragraph can be written simpler, without using User Agent.

> It is unfortunate that this email was sent separately to many mailing lists; discussion will be fragmented. :(

It is.

In general, I like the document and I think it is a useful document that
can be used when Enterprise people come back and demand various
compromises in the protocol, that should be implemented in their
curated systems.

Paul

---

From: Vittorio Bertola <[email-masked]>
Date: Wed, 11 Dec 2019 14:56:27 +0100 (CET)

Il 10/12/2019 18:12 Ted Lemon <[email-masked]> ha scritto:

On Dec 10, 2019, at 8:41 AM, Vittorio Bertola <
[email-masked]> wrote:

No, this is not what I am discussing here. The document says that the IETF should prioritize "end-user interests" whenever there is a conflict. This implies that the IETF is able to determine what the "end-user interests" are, before deciding on a proposed standard. The discussion is exactly on how does the IETF do that - the document seems to argue that it should ask "civil society organizations specialise[d] in technology and Internet policy"(*), while I argue that it should ask all stakeholders, and specifically that governments are the ones less ill-equipped to convey "end-user interests", especially if the point is about balancing conflicting classes of end-users.

Whether you then use the "procedure to determine end-user interests" all the times or just once in a while, to vet all standards in advance or only when a complaint arises, etc... is a different question.

(*) It would be quicker to just say "ISOC" and avoid the euphemism :-D

--

---

From: Bill Jouris <[email-masked]>
Date: Wed, 11 Dec 2019 14:09:20 +0000 (UTC)

If the issue is how to determine end user interests, note that ICANN has an entire group (At Large) devoted to advocating for exactly that.  So there's a specific mechanism already available within the Internet governance infrastructure.
Bill Jouris
    On Wednesday, December 11, 2019, 05:56:43 AM PST, Vittorio Bertola <vittorio.bertola=[email-masked]> wrote:  

   
 On Dec 10, 2019, at 8:41 AM, Vittorio Bertola < [email-masked]> wrote:  
  However, the problem is that if you want to adopt a different system to ascertain end user will, it should clearly be more representative and democratic than the one based on governments.  

   
-- 

 Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy  _______________________________________________
hrpc mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/hrpc

---

From: Ted Lemon <[email-masked]>
Date: Wed, 11 Dec 2019 09:03:03 -0800

On Dec 11, 2019, at 5:56 AM, Vittorio Bertola <[email-masked]> wrote:
> No, this is not what I am discussing here. The document says that the IETF should prioritize "end-user interests" whenever there is a conflict. This implies that the IETF is able to determine what the "end-user interests" are, before deciding on a proposed standard. 

I see why you are trying to draw a distinction here, but I think you are pretty much wrong.  User interests are diverse, and we don’t control them.  Actions that we take that make it less likely that users’ diverse interests will be able to be realized are actions we should avoid.  Actions that we take that make it more likely that users’ diverse interests will be able to be realized are actions we should prefer.

So e.g. if we were to abandon the end-to-end principle, or advocate blocking protocols by default, that would be against the user’s interests.   If we were to advocate censorship, that would be against the users’ interests.   This is clear, because an act of censorship necessarily implies that something the user wanted to do, the user can’t do.   That’s acting against the user’s interests.

Another example of the user’s interest is the user’s interest in privacy.  You will not find a user out there who doesn’t care about their own privacy.  You may find users who would like to violate other user’s privacy, but ask any online service provider if they are willing to be completely transparent about the data they are collecting and you will get a resounding “no.”   So there is unanimous agreement that “my privacy” is important, even though that same service provider considers it quite important to be able to violate their user’s privacy.   So in the case of privacy, absent other concerns, it seems pretty clear that the user’s interest is in more privacy, not less privacy.

So there isn’t really a need for the IETF to decide “what the user specifically wants.”   The IETF should be able to understand principles like this, and act on them, without any knowledge of what specifically the user wants to do online.

---

From: Vittorio Bertola <[email-masked]>
Date: Wed, 11 Dec 2019 19:08:33 +0100 (CET)

Il 11/12/2019 18:03 Ted Lemon <[email-masked]> ha scritto:

Unfortunately, the world is not so simple. Let's say, for example, that the user is a malware author and wants to spread that malware online. Or that the user is an ex who wants to embarrass his former girlfriend by uploading private intimate videos and making them public. Or that the user is a racist and wants to organize physical violence against an ethnic minority. All of these cases are real, they already happened and continue to happen. In all these cases, blocking that user is against that user's interests, but not blocking that user is against the interests of other users, sometimes vital ones. So you need to balance contrasting "end-user interests" to decide whether to stop or not to stop the user, and in some cases, "censoring" that user will actually be in the interest of the broad majority of end-users.

This is why we have ~2500 years of political thought on how to collectively create and apply rules, starting from the principle that your freedom ends where mine begins, and so you need to limit someone's freedoms to protect other people's rights.

I also note that where to draw that line is highly cultural, and this is also a driver for the "national digital sovereignty" trend, as countries expect that they can apply their own balance of values and interests to Internet usage in their country, and not that of some other part of the world; so the end-user interest balance might actually differ by country. This is also a dimension that the draft fails to address or even to note.

--

---

From: Ted Lemon <[email-masked]>
Date: Wed, 11 Dec 2019 10:33:06 -0800

> I also note that where to draw that line is highly cultural, and this is also a driver for the "national digital sovereignty" trend, as countries expect that they can apply their own balance of val…

Indeed.  And what do we do in the real world when someone is racist?   Nothing.   Why do we want to do something different online?   Because it’s easier and cheaper.

Imagine if we had the ability to monitor every word ever spoken.  To know every time you have even the most trivial contact with another person, like when you run into a barista in Starbucks, or wave to a janitor on the way to your office.   With sufficient monitoring capability, we could punish every utterance of a racist epithet, every act of bias.   We could enforce stringent rules about kindness and generosity.   We could make machine learning models that would reveal who knows whom, and while they might result in you being arrested along with the barista when the barista turns out to be involved in a subversive organization, it’s all for the greater good, so it’s okay.   With this capability, we could force people to be good people.   Wouldn’t that be a nice world to live in, where everybody is forced to be nice, and where you are guilty by association?

This is what you are advocating.

I agree that racism online is a problem, and that there are many other similar problems.  And if we follow the principle of allowing the user their privacy, things that we would rather not see flourish will nevertheless flourish.   As another example, I happen to be concerned about global warming.   There are very powerful people in the world who consider my concern to be an existential threat to their welfare.   If they could, they would definitely want to punish me for acting against their interests by trying to raise awareness about global warming.   If we make the Internet into a panopticon, they will be able to do that.

The point of this is simply to call your attention to a very important fact: trying to figure out whose interests to support is a useless game.   If you want to support the interests of people who stop racism, you are also supporting the interests of people who want to stop climate activism.

And so whatever the solution to the problem of online racism and online disinformation, it is not turning Internet into a panopticon.   It turns out that “letting the user generally do what they want unless there’s a good, specific reason to stop them” supports this conclusion.

If we want to deal with the problem of online harassment, online anti-social collaboration, and so on, turning the Internet into a panopticon isn’t the way to do it.   I say this not as an editorial opinion, but as a statement of fact.   Unless you really are willing to live in a panopticon, where every conversation you have, every connection you make, every credit card number you possess, and so on, is made visible to the world, then “what the user wants” is the only useful guide for serving the user’s interests.   And that’s why the document says that specifically.   There is no work to do to figure out what the user’s interests are.   The work is in figuring out when to act against the user’s interests for the protection of society.   Not an exception list, but a block list.

---

From: farzaneh badii <[email-masked]>
Date: Wed, 11 Dec 2019 13:49:40 -0500

On Wed, Dec 11, 2019 at 1:08 PM Vittorio Bertola <vittorio.bertola=
[email-masked]> wrote:

>
> I also note that where to draw that line is highly cultural, and this is
> also a driver for the "national digital sovereignty" trend, as countries
> expect that they can apply their own balance of values and interests to
> Internet usage in their country, and not that of some other part of the
> world; so the end-user interest balance might actually differ by country.
> This is also a dimension that the draft fails to address or even to note.
>

I don't agree. There are universal values out there that have nothing to do
with your nationality, identity nor culture. We are after all human beings.
culture and sovereignty have become a tool for oppression. And yes even in
democratic countries. You can't put 60 million people in one basket called
"country" X ... not going to blabber about how disputable and terrible
those borders are in some regions.

Did someone mention ICANN has an end-user stakeholder? That is true. But
while we can see what they have done in that sphere I caution against
getting inspired too much by them or copying their governance structure.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 11 Dec 2019 21:58:06 +0100

On Sat, Dec 07, 2019 at 10:29:15AM +1100,
 Mark Nottingham <[email-masked]> wrote 
 a message of 196 lines which said:

> The IAB wanted to give this draft wider exposure to folks than just
> those on architecture-discuss; comment / feedback welcome (here, or
> on the draft issues list at
> <https://github.com/intarchboard/for-the-users/issues

Executive summary; good document, and I would like it to be published.

One issue, as already noticed by Rich Salz and Vittorio Bertola is the
overblown claims that Web browsers authors are the best people in the
world and that they are always on the side of the users. It is not
true, for several reasons (such as the lack of competition, itself
coming from the difficulty of managing these monster bloatwares) and
it really looks like an attempt to pick "good companies" against bad
ones.

I have another issue about 4.6 "Deprioritising Internal Needs". I
applaud the recognition of the fact that, if you have priorities, it
means other things are deprioritised, but I fear that, written as it
is, it seems to make fun of architectural work. I have no specific
text to suggest yet, but trying to have "architectural purity" is a
good thing, because otherwise, it will have consequences for all the
Internet and all its users.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 11 Dec 2019 22:06:11 +0100

On Tue, Dec 10, 2019 at 04:18:26PM +0100,
 Vittorio Bertola <vittorio.bertola=[email-masked]> wrote 
 a message of 133 lines which said:

>    Similarly, I find the discussion on representativeness in section
>    4.1 quite baffling. Basically, it says: ok, a government elected
>    by 60 million citizens shows up and says something, but we think
>    that what they say is not really representative of those people.

Which is certainly true. There are many reasons for that, one of them
being that Internet issues are never discussed during election
campaigns. If the french governement says this or that at the GAC, or
in the discussion about encryption, it certainly does not represent
the french citizens, since we never know, before the vote, what the
elected persons will do about the Internet (or, more generally, about
digital matters). So, the argument "the voice of the people is the
governement" is false, even for democratic countries.

>    On the other hand, we know this NGO of ten people and wow, they
>    are really representative!

At least they know what they are talking about, and they have a
constituency which is interested and actually discuss these matters. 

>    Actually, representing the people and balancing all the contrasting
>    interests is exactly the existential purpose of Parliaments and
>    governments;

That's the theory. But this theory is so disconnected from the facts
that I cannot follow you here.

>    More generally, I think that the IETF should stop writing documents
>    about policies and values for future developments of the
>    Internet.

Fundamental disagreement here. What we do *is* political, whether we
like it or not, because it has real consequences on real users. So, we
must care about politics.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 11 Dec 2019 22:11:46 +0100

On Wed, Dec 11, 2019 at 02:09:20PM +0000,
 Bill Jouris <b_jouris=[email-masked]> wrote 
 a message of 185 lines which said:

>  If the issue is how to determine end user interests, note that
>  ICANN has an entire group (At Large) devoted to advocating for
>  exactly that.

ALAC does not seem to me a big success. And most of its activity is
directed to ICANN-specific stuff (and often pureley bureaucratic
issues, as if the IETF devoted 50 % of its time to IASA 2), whose
mandate does not include most of the difficult political questions we
face.

That's why you would not find an ALAC opinion on things like
encryption or DNS censorship.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 11 Dec 2019 22:15:28 +0100

On Wed, Dec 11, 2019 at 07:08:33PM +0100,
 Vittorio Bertola <vittorio.bertola=[email-masked]> wrote 
 a message of 90 lines which said:

>    I also note that where to draw that line is highly cultural,

Partly. But most of the time, the so-called "cultural differences" are
just one local dictator claiming that "democracy and human rights are
good for this or that country, but my people don't want it, believe
me". While I acknowledge that there are different cultures, the
"cultural diversity" argument has been too often used against
universal rights.

>    This is also a dimension that the draft fails to address or even

And rightly so.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 11 Dec 2019 22:21:30 +0100

On Wed, Dec 11, 2019 at 01:49:40PM -0500,
 farzaneh badii <[email-masked]> wrote 
 a message of 91 lines which said:

> with your nationality, identity nor culture.

And they are expressed in texts like the UDHR (Universal Declaration
of Human Rights) which are a good reference if we want to know what
are the interests of end users.

(Speaking of the UDHR, Wikipedia has a good article about it
<https://en.wikipedia.org/wiki/Universal_Declaration_of_Human_Rights>.)

> culture and sovereignty have become a tool for oppression.

Unfortunately very true.

---

From: Vittorio Bertola <[email-masked]>
Date: Thu, 12 Dec 2019 13:27:09 +0100 (CET)

Il 11/12/2019 19:33 Ted Lemon <[email-masked]> ha scritto:

This is indeed an interesting discussion, possibly in topic for the group, but not very related to the draft, so I don't know whether to go on with it or not.

In a way, however, it is not a practical discussion for the IETF, since several fully democratic countries already have laws or court orders that require blocking certain content, and that the technical community in those countries is required to implement. The Internet community is welcome to argue against that in front of the involved Parliaments (indeed, in several cases I would support that, depending on how exactly the law is formulated) but it is a political matter, not a technical standardization one.

This said, this is (IMHO) the only part of your comment that directly relates to this draft:

The point of this is simply to call your attention to a very important fact: trying to figure out whose interests to support is a useless game.   If you want to support the interests of people who stop racism, you are
also
supporting the interests of people who want to stop climate activism.

So, why does the IAB wants to enact a policy of supporting "end-user interests" (which, as we see, are contrasting and very hard to define objectively)? The more we discuss this, the more I think the draft is naive and totally impractical.

--

---

From: Paul Wouters <[email-masked]>
Date: Thu, 12 Dec 2019 08:27:05 -0500 (EST)

On Thu, 12 Dec 2019, Vittorio Bertola wrote:

> So, why does the IAB wants to enact a policy of supporting "end-user interests" (which, as we see, are
> contrasting and very hard to define objectively)? The more we discuss this, the more I think the draft is
> naive and totally impractical.

I think the draft does a good job of saying, if there is a technology
choice to be made that could negative affects a group of users, the
interest of individual endusers should weight more heavilly than those
of the (smaller) group.

Or rephrased in an example, enterprise users are important and served
by their administrators, but choices to support the enterprise should
not cause negative effects for non-enterprises users worldwide.

Of course these are general statements and everyone can come up with
exceptions. But I think it is good to state this goal as a general
rule. It would be useful to reference in future discussions.

Paul

---

From: Niels ten Oever <[email-masked]>
Date: Thu, 12 Dec 2019 16:56:52 +0100

> rule. It would be useful to reference in future discussions.

+1

---

From: Ted Lemon <[email-masked]>
Date: Thu, 12 Dec 2019 08:23:50 -0800

> So, why does the IAB wants to enact a policy of supporting "end-user interests" (which, as we see, are contrasting and very hard to define objectively)? The more we discuss this, the more I think t…

They are hard to enumerate, and so enumerating them isn’t the right approach.  The guiding principles aren’t hard to enumerate, though—just the specific applications.

If one of our guiding principles were “make it easy to censor the Internet,” then that would be easy to articulate, and it would be clear who would benefit from this: organized crime, repressive governments, and so on.

Similarly, if one of our guiding principles is “make it hard to censor the Internet,” then again it’s clear who this benefits.   If one of our principles is “make it hard to monitor end-users,” again it’s clear who that benefits.   If one of our principles is “use protocols that are secure and do not have known vulnerabilities, and fix vulnerabilities when they are discovered,” again it’s pretty clear who this benefits.

The reason this is complicated is that it’s actually quite difficult to articulate a case for censorship such that can be shown to benefit end-users.   Similarly for a panopticon Internet, or an Internet without secure protocols.   In order to construct such a case, you need to create a great deal of complexity.   This is an indication that you are mistaken, not an indication that it’s difficult to articulate what “benefits the end user” means.

---

From: Eliot Lear <[email-masked]>
Date: Fri, 13 Dec 2019 09:39:10 +0100

Hi Ted, Vittorio, and others,

I am attempting to consolidate this thread with any discussion that might take place on architecture-discuss (thus the CC), in large part because this isn’t simply related to human rights, as we generally think of them.  I apologize for the length of this note.

&TLDR; the draft needs to go a little slower on recommendations, and should focus more on raising the issues for discussion within our community, which are complex, as I will get into below.

Mark and the IAB have taken on a very difficult task, which is to establish some sort of priority for end users.  The dialog in the draft has shifted over time, and it is often difficult to understand precisely what the practical implications of the recommendations are intended to be.  In the latest revision, Section 4 is expanded to really delve into the nature of harm, and how we should consider harm.  But there are few examples, leading to a point where it is difficult to understand the implications of what is being said.  I do like the economic incentive discussion, but I’m not sure whether it is broadly applicable.  That should get developed a bit more.

It concerns me that Paul Wouters can take from this document that somehow enterprises do not address end user interests.  The example I always give is that of a business who has a regulatory requirement to avoid leaking PII.  There are all sorts of toolsets that MITM communications in order to protect the privacy of account holders.  I think it would be useful for the draft to address this example as a bit of a case study.  One can reasonably argue that an explicit proxy mechanism on at least one side of a communication provides for this, but it begins to encroach on the so-called “end-to-end” views (I put that in quotes because the end-to-end model is often misused in these sorts of discussions).

I really like the comparison between the web and IoT.  I would go further: some of the very same technology that is used to protect users on the web may in fact be harmful to users when employed by IoT.  I’ll expand on this below.

The most difficult part of the draft remains who gets to decide what is in the interest of end users.  IMHO whether it’s governments, NGOs, or whoever, there is no way anyone can claim that mantel.  The best we have is rough consensus and running code, guided by whatever input participants bring to the table.

I would suggest that the IAB go a bit slower with recommendations, and focus more on discussion, which is quite valuable.  It’s okay not to have all the answers, but it may be just a bit too early to make strong recommendation to the IETF because we do not yet see the whole board.  I could definitely see this document being revised in an almost bi-annual basis, given how fast the state of the art is moving.

Please see below for more:

> On 11 Dec 2019, at 18:03, Ted Lemon <[email-masked]> wrote:
> 
> 

As we apply these principles, one person’s censorship is another person’s privacy control, as I discussed above and will again below, depending on how specific mechanisms are deployed.

> Another example of the user’s interest is the user’s interest in privacy.  You will not find a user out there who doesn’t care about their own privacy.

Professor Serge Egelman at ICSI has delved deeply into this, and what he has found is that people are easily willing to trade off privacy for convenience, and we know this to be the case with the Amazon Echo.  But they are quite a bit more reticent when they learn that most processing goes on in the cloud, or that other people are listening, or when it is their children or guests that are being recorded. .  This has ramifications for the IETF in as much as our mechanisms are used to enable end-to-end communication between Amazon and the home.  OTOH, exactly how much information a service keeps once they have it is not something this organization can impact.

Complicating matters, privacy cannot be the only concern.  Let’s say that a law was passed that required some local processing to address privacy concerns.  No matter how you slice it, that harms the environment, requiring more power usage, more memory, and more CPU, that eventually generates more e-Waste.  If you missed that, it’s an argument in favor of end-to-end encryption, but against privacy protections in our protocol suite.

Looking at an industrial IOT example, the user may not be typing on the interface that controls electrical power or manages a dam, but this may have far more impact to individuals than their information being captured by hackers.  How does auditing occur when we cannot reasonably trust that an end device is secure?  The draft seems to recognize this challenge, but I’m not sure that’s reflected in recommendations.  And to just add fuel to the dumpster fire, there is plenty of PII mixed in at certain points in some industrial environments.

Given the above examples, one could reasonably argue that we should be developing 3rd party authorization models for encryption to protect both safety and privacy.  But if we do so, would that cause more harm than good when dealing with bad actor governments?  I can’t answer that, and anyone who can is demonstrating hubris.  The draft can be misinterpreted, I think, to say, “if one person benefits and another person is harmed, then do nothing”.  Lives are put at risk either way, and while looking at the whole board is hard, we have a responsibility to do so to produce least harm, assuming we are well suited to even make a call.

> You may find users who would like to violate other user’s [sic] privacy,

I hope you will be pleased to learn that at least some research (not just Egelman’s) shows that people generally don’t like doing this, and in fact they won’t sell off other people’s information.  On the other hand, you and I have a mutual friend who got royally miffed when I drop shipped to him a gift off of the web.  That showed my ignorance at the time that there was even a privacy concern to be had.  And so it is not a matter of liking or not liking but understanding when that violation is occurring.  Your point about transparency is very apt, although the use of “online service provider” can be ambiguously interpreted: when we got into this, people in this organization viewed telcos as a big threat.  The world has really changed since then, no?

Eliot

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Fri, 13 Dec 2019 20:19:49 +0700

Dear Eliot,
architecture-discuss &
others ([email-masked] & Ted),

Would it be about "User-Focused System" (sec. 4.2) or "Positive User
Outcomes" (sec. 4.3)...?

It comes to mind that Internet is about human experiences with such
communication platform enabled by networks of computers: men learn and
learn on what they do: experiences are about things interesting, about
creativities --and thus evolutions, innovations of technologies supporting.
There are networks of interests/intentions of users' & architects' being
impulses of evolutions...

It was examplified by IETF's concerns on evolution ( among others mentioned
in Mark' reference for the draft: RFC 3724 on "evolution"); another is how
the Web's inventor T. Berners-Lee contemplated  its "evolvability" (
https://www.w3.org/DesignIssues/Evolution.html).

Citing a paragraph I sent to [email-masked] with an emphasis on
networks of interests of users' and architects':

"For the Internet and the Web, thus networks of computer-based
communications and informations --at least considering the Web goals of
interoperbility and evolvability/evolution if they are still so while if it
has not been changed evolution is a main concern of Internet engineers--,
there would supposedly be networks of applications supported by languages:
and there would also be those of intentions/interests of users' and
architects'... Is'nt it so..."?

Few other paragraphs of the post could be seen at
https://lists.w3.org/Archives/Public/public-xformsusers/2019Dec/0018.html

Regard,
Guntur Wiseno Putra

Pada Jumat, 13 Desember 2019, Eliot Lear <[email-masked]> menulis:

> I am attempting to consolidate this thread with any discussion that might
> take place on architecture-discuss (thus the CC), in large part because
> this isn’t simply related to human rights, as we generally think of them.
> I apologize for the length of this note.
>
> &TLDR; the draft needs to go a little slower on recommendations, and
> should focus more on raising the issues for discussion within our
> community, which are complex, as I will get into below.
>
> Mark and the IAB have taken on a very difficult task, which is to
> establish some sort of priority for end users.  The dialog in the draft has
> shifted over time, and it is often difficult to understand precisely what
> the practical implications of the recommendations are intended to be.  In
> the latest revision, Section 4 is expanded to really delve into the nature
> of harm, and how we should consider harm.  But there are few examples,
> leading to a point where it is difficult to understand the implications of
> what is being said.  I do like the economic incentive discussion, but I’m
> not sure whether it is broadly applicable.  That should get developed a bit
> more.
>
> It concerns me that Paul Wouters can take from this document that somehow
> enterprises do not address end user interests.  The example I always give
> is that of a business who has a regulatory requirement to avoid leaking
> PII.  There are all sorts of toolsets that MITM communications in order to
> *protect* the privacy of account holders.  I think it would be useful for
> the draft to address this example as a bit of a case study.  One can
> reasonably argue that an explicit proxy mechanism on at least one side of a
> communication provides for this, but it begins to encroach on the so-called
> “end-to-end” views (I put that in quotes because the end-to-end model is
> often misused in these sorts of discussions).
>
> I really like the comparison between the web and IoT.  I would go further:
> some of the very same technology that is used to protect users on the web
> may in fact be harmful to users when employed by IoT.  I’ll expand on this
> below.
>
> The most difficult part of the draft remains who gets to decide what is in
> the interest of end users.  IMHO whether it’s governments, NGOs, or
> whoever, there is no way anyone can claim that mantel.  The best we have is
> rough consensus and running code, guided by whatever input participants
> bring to the table.
>
> I would suggest that the IAB go a bit slower with recommendations, and
> focus more on discussion, which is quite valuable.  It’s okay not to have
> all the answers, but it may be just a bit too early to make strong
> recommendation to the IETF because we do not yet see the whole board.  I
> could definitely see this document being revised in an almost bi-annual
> basis, given how fast the state of the art is moving.
>
> So e.g. if we were to abandon the end-to-end principle, or advocate
> blocking protocols by default, that would be against the user’s interests.
>   If we were to advocate censorship, that would be against the users’
> interests.   This is clear, because an act of censorship necessarily
> implies that something the user wanted to do, the user can’t do.   That’s
> acting against the user’s interests.
>
>
> As we apply these principles, one person’s censorship is another person’s
> privacy control, as I discussed above and will again below, depending on
> how specific mechanisms are deployed.
>
> Another example of the user’s interest is the user’s interest in privacy.
> You will not find a user out there who doesn’t care about their own
> privacy.
>
>
> Professor Serge Egelman at ICSI has delved deeply into this, and what he
> has found is that people are easily willing to trade off privacy for
> convenience, and we know this to be the case with the Amazon Echo.  But
> they are quite a bit more reticent when they learn that most processing
> goes on in the cloud, or that other people are listening, or when it is
> their children or guests that are being recorded. .  This has ramifications
> for the IETF in as much as our mechanisms are used to enable end-to-end
> communication between Amazon and the home.  OTOH, exactly how much
> information a service keeps once they have it is not something this
> organization can impact.
>
> Complicating matters, privacy cannot be the only concern.  Let’s say that
> a law was passed that required some local processing to address privacy
> concerns.  No matter how you slice it, that harms the environment,
> requiring more power usage, more memory, and more CPU, that eventually
> generates more e-Waste.  If you missed that, it’s an argument in favor of
> end-to-end encryption, but against privacy protections in our protocol
> suite.
>
> Looking at an industrial IOT example, the user may not be typing on the
> interface that controls electrical power or manages a dam, but this may
> have far more impact to individuals than their information being captured
> by hackers.  How does auditing occur when we cannot reasonably trust that
> an end device is secure?  The draft seems to recognize this challenge,
> but I’m not sure that’s reflected in recommendations.  And to just add fuel
> to the dumpster fire, there is plenty of PII mixed in at certain points in
> some industrial environments.
>
> Given the above examples, one could reasonably argue that we should be
> developing 3rd party authorization models for encryption to protect both
> safety and privacy.  But if we do so, would that cause more harm than good
> when dealing with bad actor governments?  I can’t answer that, and anyone
> who can is demonstrating hubris.  The draft can be misinterpreted, I think,
> to say, “if one person benefits and another person is harmed, then do
> nothing”.  Lives are put at risk either way, and while looking at the whole
> board is hard, we have a responsibility to do so to produce least harm,
> assuming we are well suited to even make a call.
>
> I hope you will be pleased to learn that at least some research (not just
> Egelman’s) shows that people generally don’t like doing this, and in fact
> they won’t sell off other people’s information.  On the other hand, you and
> I have a mutual friend who got royally miffed when I drop shipped to him a
> gift off of the web.  That showed my ignorance at the time that there was
> even a privacy concern to be had.  And so it is not a matter of liking or
> not liking but understanding when that violation is occurring.  Your point
> about transparency is very apt, although the use of “online service
> provider” can be ambiguously interpreted: when we got into this, people in
> this organization viewed telcos as a big threat.  The world has *really* changed
> since then, no?
>
> Eliot
>

---

From: Paul Wouters <[email-masked]>
Date: Fri, 13 Dec 2019 09:21:43 -0500 (EST)

On Fri, 13 Dec 2019, Eliot Lear wrote:

> It concerns me that Paul Wouters can take from this document that somehow enterprises do not address end user interests.

Your take on what I wrote seems misinterpreted.

IETF protocols deliver protections within their protocols for end users
(or: end to end communication). Whereas the enterprise tries to take
some of that away to provide its own set of protections for their
subset of users (called customers or employees). My point was that
while both the end-to-end and customer/employees targets are valid,
the latter should not come at the expense of the former. The latter
(presumbly) voluntarilly opt-in for the replacement of protection
mechanisms. Therefor, the end-to-end principle of all users should
never be compromised for the betterment of a subset of users.

> The example I always give is that of a business who has a regulatory requirement to
> avoid leaking PII.  There are all sorts of toolsets that MITM communications in order to protect the privacy of account holders.  I think it would be useful for the draft to address this example as a bit of
> a case study.  One can reasonably argue that an explicit proxy mechanism on at least one side of a communication provides for this, but it begins to encroach on the so-called “end-to-end” views (I put that
> in quotes because the end-to-end model is often misused in these sorts of discussions).

The problem I see here, is that this business has the tools to do what
it wants to its subset of worldwilde users of a protocol to do what it
deems is best. But it should still not be at the expense of global
endusers as a group. Do not weaken the protocol for this use case.

That is the core of the argument I see returning at IETF, from TLS 1.3
to DoH and in the past with weake or backdoored crypto desires. I
think this document does a good job ob describing what I tried
to summarize from my viewpoint above and in my previous email.

Paul

---

From: Eliot Lear <[email-masked]>
Date: Fri, 13 Dec 2019 16:50:57 +0100

Hi Paul,

> On 13 Dec 2019, at 15:21, Paul Wouters <[email-masked]> wrote:
> 
> subset of users (called customers or employees).

You can also call them citizens, patients, students, scientists, soldiers, residents, motorists, passengers, first responders, etc.

> My point was that

You can say, “let’s target the individuals accessing the web”, but recognize that in itself is a subset of individuals.  Our works are used in ways we never considered by people we never heard of for purposes we never imagined.  I gave you but a small taste of examples of how that is the case.  To his credit, Mark has recognized these uses when he writes toward the end of Section 2:
   a person
   entering a room with sensors that send data to the Internet has
   interests that may be involved in our deliberations about how those
   sensor readings are handled.
   While such less-direct interactions between people and the Internet
   may be harder to evaluate, this document's concept of end-user
   nonetheless includes such people.
And here’s the kicker: we want those enterprises to use our protocol suites.  For one thing, they’re more likely to get it wrong if they don’t.  More code paths != better code, and some of that code sits in devices that can harm a great many individuals if they malfunction.  Conversely, a more shared understanding helps to advance the state of the art.  Much of what we do is highly esoteric.  How many people on this earth do you think fully understand CBOR or ASN.1?

> endusers as a group. Do not weaken the protocol for this use case.

In the aggregate of all of these use cases are global.  I am not suggesting that any of this is easy.  I don’t think the draft suggests that either.  But that’s why they pay the IAB the big bucks :-). I do think it means that we have to have a broader understanding of how all of this stuff fits together, and not just go on the war path when someone says they have a use case that you don’t have.  But that also means some understanding on their part as well, such that alternatives can be explored without a conflagration taking place.

I don’t know if Mark thought about it when he reprioritized architectural purity, but that statement can be taken to mean, “don’t just stick to something for because it looks nice that way” or “just because you didn’t arrange the building blocks in some particular way doesn’t mean others won’t.”  The web is one arrangement of those building blocks; a field area network connecting traffic lights is another.  If it fails, we end up in a scene from The Italian Job, only it’s ambulances and fire trucks not getting to move in that traffic jam.

Eliot

---

From: John Curran <[email-masked]>
Date: Fri, 13 Dec 2019 11:07:56 -0600

On 12 Dec 2019, at 10:23 AM, Ted Lemon <[email-masked]> wrote:
> ...

Ted - 

	I agree with your proposition above (that it is often relatively easy to see who benefits from a particular guiding principal), but would simply point out that it is only true in aggregate, i.e. the impacts of a given guiding principle are unique to each network participant, and while the vast majority of end-users may benefit from "making it hard to monitor end-users” or "“making it hard to censor the Internet”, there will be some end-users (relatively small in number to the overall population) who due to their circumstances adversely impact by such an assumption.  (By way of example, the school that wishes to monitor student Internet use and prevent certain access can be impacted detrimentally by guiding principles of "making it hard to monitor end-users” and “make it hard to censor the Internet.”  One may not agree with their goal or approach, but that doesn’t make the impact any less real to them.) 

> The reason this is complicated is that it’s actually quite difficult to articulate a case for censorship such that can be shown to benefit end-users.   Similarly for a panopticon Internet, or an In…

	Actually, I believe it to be fairly easy to demonstrate cases where specific guiding principles have adverse impact to a segment of network participants, but if our guiding principles are well-formed then those cases should be in the overall minority in both number of end-users effected and magnitude of the impact: i.e. I believe the IETF should consciously document such conflicts when setting its guidelines, including its consideration of tradeoffs involved, and its determination of the appropriate principles to use going forward.   In effect, this is what is already being done with much of the guidance - e.g. RFC6973, RFC7754, etc.   

	In reading through the draft, its main theme seems to be that IETF’s priority should be on meeting the inherently heterogenous needs of end-users while avoiding or mitigating adverse impacts when there is conflicts between their diverse requirements.   It suggests outreach to make sure end-user requirements are understood, and that in cases of conflict between the interests of end users and other stakeholders, we should err on the side of protecting end users and should not ignore potential user impacts when brought to our attention.  It ends noting that there likely will be situations which require compromise, and when that’s the case, the choices and reasoning should be thoroughly documented.  

	As a result, I don’t see a lot to object in this draft, but would agree that there’s a real risk that the draft may be read as a call to enumerate “end-user interests” in every protocol, wherein a more realistic goal would be make sure that end-user interests are recognized and given priority in the various guiding principles & guidelines that the IETF publishes, and to conduct appropriate outreach/engagement to make sure those principles are well-anchored beyond the technical community.  If the document is heading that direction (i.e. end-user interests should be recognized and given priority in IETF guiding principles & guidelines documents), then it’s probably a useful exercise.   If draft is intended to be a call for enumeration of end-user requirements in each protocol specification, then its merit is more questionable, as the exercise is unlikely to be carried out with necessary rigor and I concur with you that the act of specific enumeration will make it less likely that users’ diverse interests will be able to be realized.

Thanks!
/John

p.s. Disclaimers: My views alone. Message is composed of 100% recycled electrons.